curl --request GET \
--url {schemes}://api.upsun.com/profiles \
--header 'Authorization: Bearer <token>'{
"count": 123,
"profiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"email": "jsmith@example.com",
"username": "<string>",
"type": "user",
"picture": "<string>",
"company_type": "<string>",
"company_name": "<string>",
"currency": "<string>",
"vat_number": "<string>",
"company_role": "<string>",
"website_url": "<string>",
"new_ui": true,
"ui_colorscheme": "<string>",
"default_catalog": "<string>",
"project_options_url": "<string>",
"marketing": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"billing_contact": "jsmith@example.com",
"current_trial": {
"active": true,
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"expiration": "2023-11-07T05:31:56Z",
"current": {
"formatted": "<string>",
"amount": "<string>",
"currency": "<string>",
"currency_symbol": "<string>"
},
"spend": {
"formatted": "<string>",
"amount": "<string>",
"currency": "<string>",
"currency_symbol": "<string>"
},
"spend_remaining": {
"formatted": "<string>",
"amount": "<string>",
"currency": "<string>",
"currency_symbol": "<string>",
"unlimited": true
},
"projects": {
"id": "<string>",
"name": "<string>",
"total": {
"amount": 123,
"currency_code": "<string>",
"currency_symbol": "<string>",
"formatted": "<string>"
}
},
"pending_verification": "credit-card",
"model": "<string>",
"days_remaining": 123
},
"invoiced": true
}
],
"_links": {
"self": {
"title": "<string>",
"href": "<string>"
},
"previous": {
"title": "<string>",
"href": "<string>"
},
"next": {
"title": "<string>",
"href": "<string>"
}
}
}A valid request URL is required to generate request examples{
"count": 123,
"profiles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>",
"email": "jsmith@example.com",
"username": "<string>",
"type": "user",
"picture": "<string>",
"company_type": "<string>",
"company_name": "<string>",
"currency": "<string>",
"vat_number": "<string>",
"company_role": "<string>",
"website_url": "<string>",
"new_ui": true,
"ui_colorscheme": "<string>",
"default_catalog": "<string>",
"project_options_url": "<string>",
"marketing": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"billing_contact": "jsmith@example.com",
"current_trial": {
"active": true,
"created": "2023-11-07T05:31:56Z",
"description": "<string>",
"expiration": "2023-11-07T05:31:56Z",
"current": {
"formatted": "<string>",
"amount": "<string>",
"currency": "<string>",
"currency_symbol": "<string>"
},
"spend": {
"formatted": "<string>",
"amount": "<string>",
"currency": "<string>",
"currency_symbol": "<string>"
},
"spend_remaining": {
"formatted": "<string>",
"amount": "<string>",
"currency": "<string>",
"currency_symbol": "<string>",
"unlimited": true
},
"projects": {
"id": "<string>",
"name": "<string>",
"total": {
"amount": 123,
"currency_code": "<string>",
"currency_symbol": "<string>",
"formatted": "<string>"
}
},
"pending_verification": "credit-card",
"model": "<string>",
"days_remaining": 123
},
"invoiced": true
}
],
"_links": {
"self": {
"title": "<string>",
"href": "<string>"
},
"previous": {
"title": "<string>",
"href": "<string>"
},
"next": {
"title": "<string>",
"href": "<string>"
}
}
}